#!/usr/bin/env perl

use strict;
use warnings;
use Log::Dispatch;

my $log = Log::Dispatch->new(
    outputs => [[
            'Screen',
            min_level => 'debug',
            stderr    => 1,
            newline   => 1,
    ]],
);

$log->debug('debug message');
$log->info('info message');
$log->notice('notice message');
$log->emergency('emergency message');
