#!/usr/bin/perl

use strict;
use warnings;

sub logf {
    my ($level,$message) = @_;
    my ($pkg,$file,$line) = caller;
    my @time = localtime;
    warn sprintf "%04d-%02d-%02dT%02d:%02d:%02d [%s] %s at %s line %d.\n",
        $time[5]+1900, $time[4]+1, @time[3,2,1,0],
        $level, $message,
        $file, $line;
}

logf("INFO","request timeout");
logf("WARN","something happend");
